#include <cvirte.h>		/* Needed if linking in external compiler; harmless otherwise */
#include <userint.h>
#include "callback.h"

static int panelHandle;

int main (int argc, char *argv[])
{
	if (InitCVIRTE (0, argv, 0) == 0)	/* Needed if linking in external compiler; harmless otherwise */
		return -1;	/* out of memory */
	if ((panelHandle = LoadPanel (0, "callback.uir", PANEL)) < 0)
		return -1;
	DisplayPanel (panelHandle);
	RunUserInterface ();
	return 0;
}

int CVICALLBACK quit (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
		{
		case EVENT_COMMIT:
			// you can type EVENT_COMMIT for event so that it knows 
			// where to go in the case structure, in this case it will
			// switch to the code for EVEVNT_COMMIT
			// if you want a separate event, then you can give your own number 
			// e.g. 13025 ..and then "trap" it in the callback ...as shown below..
			myCallback(99,99,EVENT_COMMIT,0,99,99); // can be any number
			myCallback(99,99,13025,0,99,99); 
			QuitUserInterface (0);
			break;
		case EVENT_RIGHT_CLICK:

			break;
		}
	return 0;
}

int CVICALLBACK myCallback (int panel, int control, int event,
		void *callbackData, int eventData1, int eventData2)
{
	switch (event)
		{
		case EVENT_COMMIT:
			MessagePopup ("Hello!", "I am in the callback");

			break;
		case 13025:
			MessagePopup("Hello!", " I have been called internally");
		}
	return 0;
}
